Bug 165928 - missing dependency on recent glib2
missing dependency on recent glib2
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Stein
: 155881 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-08-14 14:06 EDT by Brian Stein
Modified: 2013-03-01 00:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-27 23:33:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2005-08-14 14:06:01 EDT
Description of problem:

Cannot load module /usr/lib/pango/1.4.0/modules/pango-khmer-fc.so:
/usr/lib/pango/1.4.0/modules/pango-khmer-fc.so: undefined symbol: g_assert_warning

Version-Release number of selected component (if applicable):

rawhide pango package uses g_assert_warning (and a few others) that are only in
recent glib2 package; pango thus needs to require a recent enough version..
(or glib2 should start using symbol versions so that rpm could get this right
Comment 1 Matthias Clasen 2005-10-27 23:33:40 EDT
Will be fixed in the next build
Comment 2 John Thacker 2006-04-20 11:57:36 EDT
*** Bug 155881 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.